Bug 1326722 - python-oslo-concurrency: Provide a Python 3 subpackage
Summary: python-oslo-concurrency: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-concurrency   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-13 11:22 UTC by Petr Viktorin
Modified: 2016-06-08 11:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-08 10:16:09 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to provide Python 3 tests subpackage (2.43 KB, patch)
2016-06-03 12:04 UTC, Charalampos Stratakis
no flags Details | Diff

Description Petr Viktorin 2016-04-13 11:22:28 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Charalampos Stratakis 2016-06-03 12:04 UTC
Created attachment 1164451 [details]
Patch to provide Python 3 tests subpackage

Comment 2 Tomas Orsava 2016-06-08 09:45:41 UTC
Hi Charalampos!
The patch looks good!

Please make sure that the new RPM installs correctly and can be used/imported.

Thanks!

Comment 3 Tomas Orsava 2016-06-08 09:46:18 UTC
Hi Matthias,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you are unable.

Thank you!

Comment 5 Charalampos Stratakis 2016-06-08 10:11:01 UTC
(In reply to Matthias Runge from comment #4)
> Am I missing something here? 
> 
> http://pkgs.fedoraproject.org/cgit/rpms/python-oslo-concurrency.git/tree/
> python-oslo-concurrency.spec

Hello Matthias.

There is no python 3 tests package at the moment.

Check the attachment that I posted before.

Comment 6 Matthias Runge 2016-06-08 10:16:09 UTC
Ah yes, you're right.

Thanks. Now building:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14420261

Comment 7 Tomas Orsava 2016-06-08 11:09:32 UTC
Thanks Matthias!


Note You need to log in before you can comment on or make changes to this bug.